> # NAME

> cgD3D11SetSamplerStateParameter - Sets a sampler state object to a Cg sampler parameter.

> # SYNOPSIS

>       #include <Cg/cgD3D11.h>

>       void cgD3D11SetSamplerStateParameter( CGparameter param,
>     	                                    ID3D11SamplerState * samplerState );

> # PARAMETERS

> param

>   The sampler parameter whose state is to be set.

> samplerState

>   The D3D sampler state to set.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgD3D11SetSamplerStateParameter sets the sampler state associated with a sampler parameter.

> NULL means default sampler state.

> # EXAMPLES

> ID3D11SamplerState * sstate = NULL; Device->CreateSamplerState( &samplerDesc, &sstate );

> cgD3D11SetSamplerStateParameter( myCgSamplerParam, sstate );

> # ERRORS

> CG_INVALID_PARAMETER_ERROR is generated if param is invalid.

> # HISTORY

> cgD3D11SetSamplerStateParameter was introduced in Cg 3.0.

> # SEE ALSO

> cgD3D11SetTextureSamplerStateParameter